Home

# Class goog.testing.ShardingTestCase

A test case that runs tests in per-file shards.

extends goog.testing.TestCase

Instance Method Summary
| `runTests()` Installs a runTests global function that goog.testing.JsUnit will use to run tests, which will run a single shard of the tests present on the page.

Static Method Summary
| `shardByFileName(string= opt_name)` Shards tests based on the test filename. Assumes that the filename is formatted like 'foo_1of5_test.html'.